package ai.pai.lensman.briefs;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.widget.TextView;

import ai.pai.lensman.R;
import ai.pai.lensman.base.BaseActivity;
import ai.pai.lensman.bean.BriefsBean;
import ai.pai.lensman.settings.SettingsActivity;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

public class BriefsActivity extends BaseActivity implements BriefsContract.View{

    @BindView(R.id.tv_upload_photo_num)        TextView uploadPhotoNumText;
    @BindView(R.id.tv_today_capture_num)       TextView captureNumText;
    @BindView(R.id.tv_average_money_amount)    TextView averageMoneyText;
    @BindView(R.id.tv_today_incoming_account)  TextView todayIncomingText;
    @BindView(R.id.tv_total_incoming_account)  TextView totalIncomingText;
    @BindView(R.id.tv_today_capture_hours_account) TextView todayCaptureHoursText;

    private BriefsPresenter presenter;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_briefs);
        unbinder = ButterKnife.bind(this);

        presenter = new BriefsPresenter(this);
        presenter.start();
    }

    @OnClick(R.id.title_bar_back_layout)
    void back(){
        finish();
    }

    @OnClick(R.id.iv_settings)
    void goToSettingPage(){
        startActivity(new Intent(this, SettingsActivity.class));
    }


    @Override
    protected void onDestroy() {
        super.onDestroy();
        presenter.stop();
    }

    @Override
    public void updateUserInfo(BriefsBean bean) {

    }

}
