package ai.pai.lensman.briefs;

import com.android.common.utils.NetworkUtil;

import ai.pai.lensman.App;
import ai.pai.lensman.base.BaseInteractor;
import ai.pai.lensman.bean.BriefsBean;

/**
 * Created by chengzhenyu on 2016/8/22.
 */
public class BriefsPresenter implements BriefsContract.Presenter,BaseInteractor.InteractorListener<BriefsBean> {

    private BriefsContract.View briefsView;
    private BriefsInteractor interactor;

    public BriefsPresenter(BriefsContract.View briefsView){
        this.briefsView = briefsView;
        interactor = new BriefsInteractor(this);
    }

    @Override
    public void start() {
        interactor.startJob();
    }

    @Override
    public void stop() {
        interactor.cancelJob();
    }

    @Override
    public void onInteractSuccess(BriefsBean bean) {
        briefsView.updateUserInfo(bean);
    }

    @Override
    public void onInteractFail(String errorMsg) {
        if(NetworkUtil.isWifiConnected(App.getAppContext())){
            interactor.startJob();
        }
    }

}
